%global ghowner cormullion
%global ghproject juliamono

Version: 0.051
Release: 1%{?dist}

URL: https://juliamono.netlify.app/

%global foundry  corm
%global fontlicense  OFL-1.1
%global fontlicenses  LICENSE

%global fontfamily  JuliaMono
%global fontsummary A monospaced font with reasonable Unicode support
%global fontdescription  %{expand:JuliaMono is a monospaced typeface 
designed for programming in text editing environments that require a
wide range of specialist and technical Unicode characters.}

%global fonts  *.ttf
%global fontconfs  %{SOURCE10}

Source0: https://github.com/%{ghowner}/%{ghproject}/archive/v%{version}/%{ghproject}-%{version}.tar.gz
Source10: 60-%{fontpkgname}.xml
# https://github.com/cormullion/juliamono/issues/187
Source11: update-names.pe
Source12: update-foundry.pe 

BuildRequires: fontforge

%fontpkg

%prep
%autosetup -n %{ghproject}-%{version} 
cp %{SOURCE11} .
cp %{SOURCE12} .

%build
fontforge -script update-names.pe JuliaMono-Black.ttf JuliaMono "JuliaMono Black" Regular temp.sfd
fontforge -script update-foundry.pe temp.sfd corm JuliaMono-Black.ttf
fontforge -script update-names.pe JuliaMono-BlackItalic.ttf JuliaMono "JuliaMono Black Italic" "Black Italic" temp.sfd
fontforge -script update-foundry.pe temp.sfd corm JuliaMono-BlackItalic.ttf
fontforge -script update-names.pe JuliaMono-BoldItalic.ttf JuliaMono "JuliaMono Bold Italic" "Bold Italic" temp.sfd
fontforge -script update-foundry.pe temp.sfd corm JuliaMono-BoldItalic.ttf
fontforge -script update-names.pe JuliaMono-BoldLatin.ttf JuliaMono "JuliaMono Bold Latin" "Bold Latin" temp.sfd
fontforge -script update-foundry.pe temp.sfd corm JuliaMono-BoldLatin.ttf
fontforge -script update-names.pe JuliaMono-ExtraBold.ttf JuliaMono "JuliaMono ExtraBold" "ExtraBold" temp.sfd
fontforge -script update-foundry.pe temp.sfd corm JuliaMono-ExtraBold.ttf
fontforge -script update-names.pe JuliaMono-ExtraBoldItalic.ttf JuliaMono "JuliaMono ExtraBold Italic" "ExtraBold Italic" temp.sfd
fontforge -script update-foundry.pe temp.sfd corm JuliaMono-ExtraBoldItalic.ttf
fontforge -script update-names.pe JuliaMono-Light.ttf JuliaMono "JuliaMono Light" "Light" temp.sfd
fontforge -script update-foundry.pe temp.sfd corm JuliaMono-Light.ttf
fontforge -script update-names.pe JuliaMono-LightItalic.ttf JuliaMono "JuliaMono LightItalic" "Light Italic" temp.sfd
fontforge -script update-foundry.pe temp.sfd corm JuliaMono-LightItalic.ttf
fontforge -script update-names.pe JuliaMono-Medium.ttf JuliaMono "JuliaMono Medium" "Medium" temp.sfd
fontforge -script update-foundry.pe temp.sfd corm JuliaMono-Medium.ttf
fontforge -script update-names.pe JuliaMono-Regular.ttf JuliaMono "JuliaMono" "Regular" temp.sfd
fontforge -script update-foundry.pe temp.sfd corm JuliaMono-Regular.ttf
fontforge -script update-names.pe JuliaMono-RegularItalic.ttf JuliaMono "JuliaMono Italic" "Regular Italic" temp.sfd
fontforge -script update-foundry.pe temp.sfd corm JuliaMono-RegularItalic.ttf
fontforge -script update-names.pe JuliaMono-SemiBold.ttf JuliaMono "JuliaMono SemiBold" "SemiBold" temp.sfd
fontforge -script update-foundry.pe temp.sfd corm JuliaMono-SemiBold.ttf
fontforge -script update-names.pe JuliaMono-SemiBoldItalic.ttf JuliaMono "JuliaMono SemiBold Italic" "SemiBold Italic" temp.sfd
fontforge -script update-foundry.pe temp.sfd corm JuliaMono-SemiBoldItalic.ttf


rm temp.sfd
rm update-names.pe
rm update-foundry.pe

%fontbuild


%install
%fontinstall


%check
%fontcheck


%fontfiles
%doc README.md
%doc CHANGELOG.md

%changelog
* Wed Sep 06 2023 Benson Muite <benson_muite@emailplus.org> - 0.051-1
- Initial packaging
